with 
train_set as (

  select * from {{ ref('covariate_encoding_sql') }}
  where RACE_YEAR between 2010 and 2019

)

select * from train_set

/*
--
-- Test with python table --
--
select * from (
(select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.TRAIN_TEST_DATASET

minus  

select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.TRAIN_TEST_DATASET_SQL)

UNION ALL

(select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.TRAIN_TEST_DATASET_SQL

minus

select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.TRAIN_TEST_DATASET) 
)
order by RACE_YEAR,GRID,DRIVERS_AGE_YEARS
*/
